diff -Naur freecad-0.12.5284-r3-orig/work/FreeCAD-0.12.5284/src/3rdParty/salomesmesh/src/StdMeshers/StdMeshers_RadialPrism_3D.cpp freecad-0.12.5284-r3/work/FreeCAD-0.12.5284/src/3rdParty/salomesmesh/src/StdMeshers/StdMeshers_RadialPrism_3D.cpp
--- freecad-0.12.5284-r3-orig/work/FreeCAD-0.12.5284/src/3rdParty/salomesmesh/src/StdMeshers/StdMeshers_RadialPrism_3D.cpp	2013-09-15 22:53:34.135326244 -0700
+++ freecad-0.12.5284-r3/work/FreeCAD-0.12.5284/src/3rdParty/salomesmesh/src/StdMeshers/StdMeshers_RadialPrism_3D.cpp	2013-09-15 22:54:04.493854451 -0700
@@ -42,9 +42,13 @@
 
 #include "utilities.h"
 
+#include <Standard_Version.hxx>
 #include <BRepAdaptor_Curve.hxx>
 #include <BRepBuilderAPI_MakeEdge.hxx>
 #include <BRepTools.hxx>
+#if OCC_VERSION_HEX >= 0x060600
+#include <BRepClass3d.hxx>
+#endif
 #include <BRep_Tool.hxx>
 #include <TopExp_Explorer.hxx>
 #include <TopoDS.hxx>
@@ -161,7 +165,11 @@
 
   // get 2 shells
   TopoDS_Solid solid = TopoDS::Solid( aShape );
+#if OCC_VERSION_HEX >= 0x060600
+  TopoDS_Shell outerShell = BRepClass3d::OuterShell( solid );
+#else
   TopoDS_Shell outerShell = BRepTools::OuterShell( solid );
+#endif
   TopoDS_Shape innerShell;
   int nbShells = 0;
   for ( TopoDS_Iterator It (solid); It.More(); It.Next(), ++nbShells )
@@ -401,7 +409,11 @@
 {
   // get 2 shells
   TopoDS_Solid solid = TopoDS::Solid( aShape );
+#if OCC_VERSION_HEX >= 0x060600
+  TopoDS_Shell outerShell = BRepClass3d::OuterShell( solid );
+#else
   TopoDS_Shell outerShell = BRepTools::OuterShell( solid );
+#endif
   TopoDS_Shape innerShell;
   int nbShells = 0;
   for ( TopoDS_Iterator It (solid); It.More(); It.Next(), ++nbShells )
diff -Naur freecad-0.12.5284-r3-orig/work/FreeCAD-0.12.5284/src/Mod/Part/App/TopoShapeSolidPyImp.cpp freecad-0.12.5284-r3/work/FreeCAD-0.12.5284/src/Mod/Part/App/TopoShapeSolidPyImp.cpp
--- freecad-0.12.5284-r3-orig/work/FreeCAD-0.12.5284/src/Mod/Part/App/TopoShapeSolidPyImp.cpp	2013-09-15 22:53:34.094324180 -0700
+++ freecad-0.12.5284-r3/work/FreeCAD-0.12.5284/src/Mod/Part/App/TopoShapeSolidPyImp.cpp	2013-09-15 22:54:24.414857241 -0700
@@ -23,8 +23,12 @@
 
 #include "PreCompiled.h"
 
+#include <Standard_Version.hxx>
 #include <BRepGProp.hxx>
 #include <BRepTools.hxx>
+#if OCC_VERSION_HEX >= 0x060600
+#include <BRepClass3d.hxx>
+#endif
 #include <GProp_GProps.hxx>
 #include <BRepBuilderAPI_MakeSolid.hxx>
 #include <TopExp_Explorer.hxx>
@@ -104,7 +108,11 @@
     TopoDS_Shell shell;
     const TopoDS_Shape& shape = getTopoShapePtr()->_Shape;
     if (!shape.IsNull() && shape.ShapeType() == TopAbs_SOLID)
+#if OCC_VERSION_HEX >= 0x060600
+        shell = BRepClass3d::OuterShell(TopoDS::Solid(shape));
+#else
         shell = BRepTools::OuterShell(TopoDS::Solid(shape));
+#endif
     return Py::Object(new TopoShapeShellPy(new TopoShape(shell)),true);
 }
 
